Bug 1422918 - Review Request: akmods - Automatic kmods build and install tool
Summary: Review Request: akmods - Automatic kmods build and install tool
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Neal Gompa
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1422917
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-16 14:42 UTC by Hans de Goede
Modified: 2017-03-14 17:22 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-03-14 17:22:44 UTC
Type: ---
ngompa13: fedora-review+


Attachments (Terms of Use)

Description Hans de Goede 2017-02-16 14:42:19 UTC
Spec URL: https://fedorapeople.org/~jwrdegoede/akmods.spec
SRPM URL: https://fedorapeople.org/~jwrdegoede/akmods-0.5.6-3.fc25.src.rpm
Description:
Akmods startup script will rebuild akmod packages during system 
boot while its background daemon will build them for kernels right
after they were installed.

Fedora Account System Username: jwrdegoede

rpmlint output:

akmods.noarch: W: non-standard-uid /var/cache/akmods akmods
akmods.noarch: W: non-standard-gid /var/cache/akmods akmods
akmods.noarch: W: no-manual-page-for-binary akmods-shutdown
akmods.noarch: W: empty-%postun
rpmbuild/SPECS/akmods.spec:75: E: hardcoded-library-path in %{_prefix}/lib/systemd/system-preset
rpmbuild/SPECS/akmods.spec:85: E: hardcoded-library-path in %{_prefix}/lib/systemd/system-preset/
rpmbuild/SPECS/akmods.spec:129: E: hardcoded-library-path in %{_prefix}/lib/systemd/system-preset/95-akmods.preset
1 packages and 1 specfiles checked; 3 errors, 4 warnings.

These are all expected given the nature of the package and can all be ignored.

Comment 1 Neal Gompa 2017-02-16 18:26:49 UTC
Taking this review.

Comment 2 leigh scott 2017-02-16 19:47:57 UTC
(In reply to Hans de Goede from comment #0)
> Spec URL: https://fedorapeople.org/~jwrdegoede/akmods.spec
> SRPM URL: https://fedorapeople.org/~jwrdegoede/akmods-0.5.6-3.fc25.src.rpm
> Description:
> Akmods startup script will rebuild akmod packages during system 
> boot while its background daemon will build them for kernels right
> after they were installed.
> 
> Fedora Account System Username: jwrdegoede
> 
> rpmlint output:
> 
> akmods.noarch: W: non-standard-uid /var/cache/akmods akmods
> akmods.noarch: W: non-standard-gid /var/cache/akmods akmods
> akmods.noarch: W: no-manual-page-for-binary akmods-shutdown
> akmods.noarch: W: empty-%postun
> rpmbuild/SPECS/akmods.spec:75: E: hardcoded-library-path in
> %{_prefix}/lib/systemd/system-preset
> rpmbuild/SPECS/akmods.spec:85: E: hardcoded-library-path in
> %{_prefix}/lib/systemd/system-preset/
> rpmbuild/SPECS/akmods.spec:129: E: hardcoded-library-path in
> %{_prefix}/lib/systemd/system-preset/95-akmods.preset
> 1 packages and 1 specfiles checked; 3 errors, 4 warnings.
> 
> These are all expected given the nature of the package and can all be
> ignored.


Please replace %{_prefix}/lib/systemd/system-preset with %{_presetdir}


$ rpm -E %{_presetdir}
/usr/lib/systemd/system-preset

Comment 3 Hans de Goede 2017-02-24 10:52:17 UTC
(In reply to leigh scott from comment #2)
> Please replace %{_prefix}/lib/systemd/system-preset with %{_presetdir}

Done:

Spec URL: https://fedorapeople.org/~jwrdegoede/akmods.spec
SRPM URL: https://fedorapeople.org/~jwrdegoede/akmods-0.5.6-4.fc25.src.rpm

New rpmlint output:

[hans@shalem ~]$ rpmlint rpmbuild/SRPMS/akmods-0.5.6-4.fc25.src.rpm rpmbuild/RPMS/noarch/akmods-0.5.6-4.fc25.noarch.rpm
akmods.noarch: W: non-standard-uid /var/cache/akmods akmods
akmods.noarch: W: non-standard-gid /var/cache/akmods akmods
akmods.noarch: W: no-manual-page-for-binary akmods-shutdown
akmods.noarch: W: empty-%postun
2 packages and 0 specfiles checked; 0 errors, 4 warnings.

Comment 4 Neal Gompa 2017-03-06 12:41:30 UTC
Review notes:

+ Named correctly
+ Follows packaging guidelines on how it should be installed
+ systemd services are installed correctly
+ Provides/Requires look sane
+ Scriptlets look sane
! License file missing and isn't installed.

Comment 5 Hans de Goede 2017-03-06 13:12:30 UTC
New version:

* Mon Mar  6 2017 Hans de Goede <hdegoede@redhat.com> - 0.5.6-5
- Add LICENSE file (rhbz#1422918)

Spec URL: https://fedorapeople.org/~jwrdegoede/akmods.spec
SRPM URL: https://fedorapeople.org/~jwrdegoede/akmods-0.5.6-5.fc25.src.rpm

Comment 6 Neal Gompa 2017-03-06 13:40:36 UTC
PACKAGE APPROVED.

Comment 7 Hans de Goede 2017-03-06 13:58:03 UTC
PackageDB admin request done.

Comment 8 Gwyn Ciesla 2017-03-06 15:35:03 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/akmods

Comment 9 Fedora Update System 2017-03-06 18:54:11 UTC
akmods-0.5.6-5.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-427882437f

Comment 10 Fedora Update System 2017-03-07 01:51:37 UTC
akmods-0.5.6-5.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-427882437f

Comment 11 Fedora Update System 2017-03-14 17:22:44 UTC
akmods-0.5.6-5.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.